Subject: Re: Bladder or Urinary Tract infection?

From: [email-masked] (Duane Weed, D.C.)
Date: 11 Aug 1995 01:12:14 GMT

>[email-masked] (smiller) wrote:
> 
>>> What would help fight a bladder or urinary tract  
>>>infection ?
> 
>>Try cranberry juice - it works wonders.  Drink one  
>>quart immediately  after you feel the infection coming  
>>on, and then no other liquids but  cranberry juice  
>>whenever you're thirsty for a couple of days.
> 
>Indeed.  Cranberry juice is best.
> 
>However, I have also had good luck with cornsilk tea...then  
>again, I didn't have any sort of urinary tract infection _per  
>se,_ but rather what may be politely termed "honeymoon  
>cystitis"...  could be a different problem all together.

> 
>Oh well.  It worked, anyway.
> 
>Kim at NYGE
> 
    Good advice but I want to add another. I have found that this works even
better: Try canned asparagus. Eat a whole 12 oz can AND drink the juice. If
you have a severe or persistent case repeat every day or take two cans each
day. I have seen this work wonders even in severe cases with hemorrhaging.  

    Dr. Duane Weed, DC  <*>  E-Mail request for my FREE Herb
    [email-masked]   <*>  Guide/Catalog. Include address.